
Redmine - Defect #1545

Migration fails on table "workflows". Fresh install.

2008-06-28 13:21 - Marcin Gil

Status: Closed Start date: 2008-06-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I've updated to latest revision (r1593) today and tried to do a clean DB install.

Executing rake db:migrate got me this

-- create_table("workflows", {:force=>true})

-> 0.0036s

rake aborted!

Mysql::Error: Unknown column 'position' in 'order clause': SELECT * FROM `custom_fields`   WHERE (type = 'UserCustomField') 

ORDER BY position

MySQL: 5.0.51a

Associated revisions

Revision 1595 - 2008-06-29 10:14 - Jean-Philippe Lang

Fixed #1545: migration on fresh install fails (broken by r1592).

History

#1 - 2008-06-29 10:14 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Migration was broken by r1592.

It's fixed in r1595.
